edu.sc.seis.sod.hibernate

## Class RecordSectionItem

- java.lang.Object
- - edu.sc.seis.sod.hibernate.RecordSectionItem

-     public class RecordSectionItem
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected edu.iris.Fissures.IfNetwork.Channel` | `channel`
    `protected long` | `dbid`
    `protected float` | `degrees`
    `protected edu.sc.seis.fissuresUtil.cache.CacheEvent` | `event`
    `protected boolean` | `inBest`
    `protected java.lang.String` | `orientationId`
    `protected java.lang.String` | `recordSectionId`
    `protected float` | `sToN`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `RecordSectionItem()` for hibernate
    `` | `RecordSectionItem(java.lang.String orientationId, java.lang.String recordSectionId, edu.sc.seis.fissuresUtil.cache.CacheEvent event, edu.iris.Fissures.IfNetwork.Channel channel, float sToN, boolean inBest)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `edu.iris.Fissures.IfNetwork.Channel` | `getChannel()`
    `long` | `getDbid()`
    `float` | `getDegrees()` event to station distance in degrees.
    `edu.sc.seis.fissuresUtil.cache.CacheEvent` | `getEvent()`
    `java.lang.String` | `getOrientationId()`
    `java.lang.String` | `getRecordSectionId()`
    `float` | `getsToN()`
    `boolean` | `isInBest()`
    `protected void` | `setChannel(edu.iris.Fissures.IfNetwork.Channel channel)`
    `protected void` | `setDbid(long dbid)`
    `void` | `setDegrees(float degrees)`
    `protected void` | `setEvent(edu.sc.seis.fissuresUtil.cache.CacheEvent event)`
    `void` | `setInBest(boolean inBest)`
    `protected void` | `setOrientationId(java.lang.String orientationId)`
    `protected void` | `setRecordSectionId(java.lang.String recordSectionId)`
    `protected void` | `setsToN(float sToN)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### dbid

          protected long dbid

    - #### event

          protected edu.sc.seis.fissuresUtil.cache.CacheEvent event

    - #### channel

          protected edu.iris.Fissures.IfNetwork.Channel channel

    - #### recordSectionId

          protected java.lang.String recordSectionId

    - #### orientationId

          protected java.lang.String orientationId

    - #### inBest

          protected boolean inBest

    - #### sToN

          protected float sToN

    - #### degrees

          protected float degrees

  - ### Constructor Detail

    - #### RecordSectionItem

          public RecordSectionItem(java.lang.String orientationId,
                                   java.lang.String recordSectionId,
                                   edu.sc.seis.fissuresUtil.cache.CacheEvent event,
                                   edu.iris.Fissures.IfNetwork.Channel channel,
                                   float sToN,
                                   boolean inBest)

    - #### RecordSectionItem

          protected RecordSectionItem()

      for hibernate

  - ### Method Detail

    - #### getDbid

          public long getDbid()

    - #### setDbid

          protected void setDbid(long dbid)

    - #### getEvent

          public edu.sc.seis.fissuresUtil.cache.CacheEvent getEvent()

    - #### setEvent

          protected void setEvent(edu.sc.seis.fissuresUtil.cache.CacheEvent event)

    - #### getChannel

          public edu.iris.Fissures.IfNetwork.Channel getChannel()

    - #### setChannel

          protected void setChannel(edu.iris.Fissures.IfNetwork.Channel channel)

    - #### getRecordSectionId

          public java.lang.String getRecordSectionId()

    - #### setRecordSectionId

          protected void setRecordSectionId(java.lang.String recordSectionId)

    - #### getOrientationId

          public java.lang.String getOrientationId()

    - #### setOrientationId

          protected void setOrientationId(java.lang.String orientationId)

    - #### isInBest

          public boolean isInBest()

    - #### setInBest

          public void setInBest(boolean inBest)

    - #### getsToN

          public float getsToN()

    - #### setsToN

          protected void setsToN(float sToN)

    - #### getDegrees

          public float getDegrees()

      event to station distance in degrees.

    - #### setDegrees

          public void setDegrees(float degrees)